Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033989
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] I. Performanceminorhave not tried2016-09-14 13:292016-09-19 16:27
ReportergorkaionView Statuspublic 
Assigned Togorkaion 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revisiondcaf5195237a
ProjectionnoneETAnoneTarget Version
OSAnyDatabasePostgreSQLJava version
OS VersionDatabase version9.4Ant version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033989: Slow login loading organization's default ledgers

DescriptionOn a system with +200 organizations the login can take more than 2 seconds. In particular OBLedgerUtils.getOrgLedgerRecursive() method's query takes more 1.5 seconds.
Steps To ReproduceOn a system with +200 organizations try to login.
Check that the mentioned method takes too much time by adding some logs or measuring it with YourKit.
Proposed Solutionremove the query that filters and order by slow ad_isorgincluded procedure
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033681 schedulednonofrancisco General Ledger's field default value should be modified in GL Journal Header and Tax Payment windows 
related to defect 0033040 closedSanjota Unhomogeneous behavior depending on Org Access when role is defined at "Organization" user level 
related to feature request 0033650 closedAtulOpenbravo Add columns in AD_Org table to persist data in order to improve performance 
depends on backport 00340103.0PR16Q3.2 closedgorkaion Slow login loading organization's default ledgers 
depends on backport 00340153.0PR16Q2.3 closedgorkaion Slow login loading organization's default ledgers 

-  Notes
(0090050)
hgbot (developer)
2016-09-19 11:23

Repository: erp/devel/pi
Changeset: dcaf5195237ab27b1d8b9017894d625d9d6cadb6
Author: Gorka Ion Damián <gorkaion.damian <at> openbravo.com>
Date: Wed Sep 14 13:39:12 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/dcaf5195237ab27b1d8b9017894d625d9d6cadb6 [^]

Fixed issue 33989. Removed slow query getting Organization Ledger.

The method to get the default General Ledget was using a query that filtered
and sorted the results using ad_isorgincluded procedure. In case of having a
large number of organizations this query was slow.

The method is now using the OrganizationStructureProvider to get the parent
organization List of the required org to search the default General Ledger.

---
M src/org/openbravo/erpCommon/utility/OBLedgerUtils.java
---
(0090051)
hgbot (developer)
2016-09-19 11:23

Repository: erp/devel/pi
Changeset: 018192ddfcb3dc8bb0897cadab692f72c49dc10c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 19 11:14:46 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/018192ddfcb3dc8bb0897cadab692f72c49dc10c [^]

Related to issue 33989: Code review improvements

- Avoid setting admin mode in getOrgLedgerRecursive() and getClientLedger() methods as it is already done in getOrgLedger() method in OBLedgerUtils class.
- Retrieve first, general ledger of login organization in LoginUtils class. If no result is retrieved, we will retrieve general ledger of rest of context organizations.

---
M src/org/openbravo/base/secureApp/LoginUtils.java
M src/org/openbravo/erpCommon/utility/OBLedgerUtils.java
---
(0090054)
aferraz (developer)
2016-09-19 11:26

Code review + Testing OK
(0090074)
hudsonbot (developer)
2016-09-19 16:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/17da7ad0ad62 [^]
Maturity status: Test
(0090075)
hudsonbot (developer)
2016-09-19 16:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/17da7ad0ad62 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-14 13:29 gorkaion New Issue
2016-09-14 13:29 gorkaion Assigned To => gorkaion
2016-09-14 13:29 gorkaion Modules => Core
2016-09-14 13:29 gorkaion Triggers an Emergency Pack => No
2016-09-15 12:50 shuehner Relationship added related to 0033650
2016-09-16 10:06 aferraz Relationship deleted related to 0033650
2016-09-16 10:06 aferraz Relationship added depends on 0033650
2016-09-16 10:09 aferraz Relationship added related to 0033681
2016-09-16 10:32 aferraz Relationship added related to 0033040
2016-09-16 10:33 aferraz Relationship deleted depends on 0033650
2016-09-16 10:33 aferraz Relationship added related to 0033650
2016-09-16 10:38 aferraz Status new => scheduled
2016-09-19 11:23 hgbot Checkin
2016-09-19 11:23 hgbot Note Added: 0090050
2016-09-19 11:23 hgbot Status scheduled => resolved
2016-09-19 11:23 hgbot Resolution open => fixed
2016-09-19 11:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dcaf5195237ab27b1d8b9017894d625d9d6cadb6 [^]
2016-09-19 11:23 hgbot Checkin
2016-09-19 11:23 hgbot Note Added: 0090051
2016-09-19 11:26 aferraz Review Assigned To => aferraz
2016-09-19 11:26 aferraz Note Added: 0090054
2016-09-19 11:26 aferraz Status resolved => closed
2016-09-19 11:26 aferraz Fixed in Version => 3.0PR16Q4
2016-09-19 11:30 aferraz Status closed => new
2016-09-19 11:30 aferraz Resolution fixed => open
2016-09-19 11:30 aferraz Fixed in Version 3.0PR16Q4 =>
2016-09-19 11:30 aferraz Status new => scheduled
2016-09-19 11:30 aferraz Status scheduled => resolved
2016-09-19 11:30 aferraz Fixed in Version => 3.0PR16Q4
2016-09-19 11:30 aferraz Resolution open => fixed
2016-09-19 11:30 aferraz Status resolved => closed
2016-09-19 16:27 hudsonbot Checkin
2016-09-19 16:27 hudsonbot Note Added: 0090074
2016-09-19 16:27 hudsonbot Checkin
2016-09-19 16:27 hudsonbot Note Added: 0090075


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker